/*
 *   Copyright (C) The Santa Cruz Operation, Inc., 1988-1995
 *		All Rights Reserved.
 *
 *	The information in this file is provided for the exclusive use of
 *	the licensees of The Santa Cruz Operation, Inc.  Such users have the
 *	right to use, modify, and incorporate this code into other products
 *	for purposes authorized by the license agreement provided they include
 *	this notice and the associated copyright notice with any such product.
 *	The information in this file is provided "AS IS" without warranty.
 */

/*	Portions Copyright (c) 1990, 1991, 1992, 1993 UNIX System Laboratories, Inc. */
/*	Portions Copyright (c) 1979 - 1990 AT&T   */
/*	  All Rights Reserved   */

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF          */
/*	UNIX System Laboratories, Inc.                          */
/*	The copyright notice above does not evidence any        */
/*	actual or intended publication of such source code.     */

#ifndef _UNISTD_H
#ifndef _PARAMS
#if defined(__STDC__) || defined(__cplusplus)
#define _PARAMS(ARGS) ARGS
#else
#define _PARAMS(ARGS) ()
#endif
#endif /* _PARAMS */
#define _UNISTD_H

#ident "oldstyle @(#) unistd.h 20.1 94/12/04 "


#include <sys/types.h>
#include <sys/unistd.h>


#ifdef _EFF_SUPPORT
#define EFF_ONLY_OK 	010	/* Test using effective ids  */
#endif

#ifdef _VERY_STRANGE
#define EX_OK		020	/* Test for Regular, executable file  */
#endif


#ifndef NULL
#define NULL	0
#endif /* NULL */


extern int	access _PARAMS((const char *, int));
extern unsigned	alarm _PARAMS((unsigned int));
extern int	chdir _PARAMS((const char *));
extern int	chown _PARAMS((const char *, unsigned short , unsigned short ));
extern int	close _PARAMS((int));
extern char	*cuserid _PARAMS((char *));
extern int	dup _PARAMS((int));
extern int	dup2 _PARAMS((int, int));
extern int	execl _PARAMS((const char *, const char *, ...));
extern int	execle _PARAMS((const char *, const char *, ...));
extern int	execlp _PARAMS((const char *, const char *, ...));
extern int	execv _PARAMS((const char *, char *const *));
extern int	execve _PARAMS((const char *, char *const *, char *const *));
extern int	execvp _PARAMS((const char *, char *const *));
extern void	_exit _PARAMS((int));
extern pid_t	fork();
extern long	fpathconf _PARAMS((int, int));
extern char	*getcwd _PARAMS((char *, __SIZE_TYPE__ ));
extern gid_t	getegid();
extern uid_t	geteuid();
extern gid_t	getgid();
extern int	getgroups _PARAMS((int, unsigned short *));
extern char	*getlogin();
extern pid_t	getpgrp();
extern pid_t	getpid();
extern pid_t	getppid();
extern uid_t	getuid();
extern int	isatty _PARAMS((int));
extern int	link _PARAMS((const char *, const char *));
extern off_t	lseek _PARAMS((int, long , int));
extern long	pathconf _PARAMS((const char *, int));
extern int	pause();
extern int	pipe _PARAMS((int *));
extern int	read _PARAMS((int, void *, __SIZE_TYPE__ ));
extern int	rmdir _PARAMS((const char *));
extern int	setgid _PARAMS((unsigned short ));
extern int	setpgid _PARAMS((short , short ));
extern pid_t	setpgrp();
extern pid_t	setsid();
extern int	setuid _PARAMS((unsigned short ));
extern unsigned	sleep _PARAMS((unsigned int));
extern long	sysconf _PARAMS((int));
extern pid_t	tcgetpgrp _PARAMS((int));
extern char	*ttyname _PARAMS((int));
extern int	unlink _PARAMS((const char *));
extern int	write _PARAMS((int, const void *, __SIZE_TYPE__ ));


extern size_t	confstr();
extern int	getopt _PARAMS((int, char *const *, const char *));
extern char	*optarg;
extern int	optind, opterr, optopt;



extern int	chroot _PARAMS((const char *));
extern char	*crypt _PARAMS((const char *, const char *));
extern char	*ctermid _PARAMS((char *));		/* REALLY OKAY HERE?  */
extern void	encrypt _PARAMS((char *, int));
extern int	fsync _PARAMS((int));
extern char	*getpass _PARAMS((const char *));
extern int	nice _PARAMS((int));
extern void	swab _PARAMS((const char *, char *, int));



extern int	acct _PARAMS((const char *));
extern int	brk _PARAMS((void *));
extern int	eaccess _PARAMS((const char *, int));
extern void	exit _PARAMS((int));
extern int	fattach _PARAMS((int, const char *));
extern int	fchdir _PARAMS((int));
extern int	fchown _PARAMS((int, unsigned short , unsigned short ));
extern int	fdetach _PARAMS((const char *));
extern int	ftruncate _PARAMS((int, long ));
extern int	getdtablesize();
extern long	gethostid();
extern int	gethostname _PARAMS((char *, int));
extern char	*getlogin_r();
extern int	getpagesize();
extern char	*getpass_r();
extern int	getpgid _PARAMS((short ));
extern int	getsid _PARAMS((short ));
extern char	*gettxt _PARAMS((const char *, const char *));
extern char	*getwd _PARAMS((char *));
extern int	ioctl _PARAMS((int, int, ...));
extern int	lchown _PARAMS((const char *, unsigned short , unsigned short ));
extern int	lockf _PARAMS((int, int, long int));
extern void	profil _PARAMS((short unsigned int *, __SIZE_TYPE__ , int, unsigned int));
extern int	ptrace _PARAMS((int, short , int, int));
extern int	readlink _PARAMS((const char *, void *, int));
extern int	rename _PARAMS((const char *, const char *));
extern char	*sbrk _PARAMS((int));
extern int	setgroups _PARAMS((int, const unsigned short *));
extern int	setregid _PARAMS((unsigned short , unsigned short ));
extern int	setreuid _PARAMS((unsigned short , unsigned short ));
extern int	stime _PARAMS((const long *));
extern int	symlink _PARAMS((const char *, const char *));
extern void	sync();
extern int	truncate _PARAMS((const char *, long ));
extern char	*ttyname_r();
extern unsigned int	ualarm _PARAMS((unsigned, unsigned));
extern int	usleep _PARAMS((unsigned));
extern int	vfork();




#endif /* _UNISTD_H */
